Join A Community Group
curl --request POST \
--url https://api.thefaithapp.com/v1/community-groups/{groupId}/join \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"directory_visible": true
}
'const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({directory_visible: true})
};
fetch('https://api.thefaithapp.com/v1/community-groups/{groupId}/join', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/community-groups/{groupId}/join"
payload = { "directory_visible": True }
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "Success",
"message": "You joined the community group.",
"data": {
"membership": {
"id": 84,
"role": "member",
"status": "active",
"source": "member",
"directory_visible": true,
"approved_at": "2026-07-18T09:30:00.000000Z",
"joined_at": "2026-07-18T09:30:00.000000Z",
"ended_at": null
}
}
}Community Groups
Join A Community Group
Joins an open group or submits an approval request for a request-to-join group.
POST
/
v1
/
community-groups
/
{groupId}
/
join
Join A Community Group
curl --request POST \
--url https://api.thefaithapp.com/v1/community-groups/{groupId}/join \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"directory_visible": true
}
'const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({directory_visible: true})
};
fetch('https://api.thefaithapp.com/v1/community-groups/{groupId}/join', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/community-groups/{groupId}/join"
payload = { "directory_visible": True }
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "Success",
"message": "You joined the community group.",
"data": {
"membership": {
"id": 84,
"role": "member",
"status": "active",
"source": "member",
"directory_visible": true,
"approved_at": "2026-07-18T09:30:00.000000Z",
"joined_at": "2026-07-18T09:30:00.000000Z",
"ended_at": null
}
}
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Path Parameters
Community group identifier.
Required range:
x >= 1Body
application/json
Response
Group membership created or submitted for approval.
The response is of type object.
Was this page helpful?